View Issue Details

IDProjectCategoryView StatusLast Update
0002058FreeCADFeaturepublic2015-06-15 11:10
ReporterrocknAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux UbuntuOS14.04OS Version64 bits
Product Version0.15 
Target Version0.16Fixed in Version0.16 
Summary0002058: Add the possibility to refresh the Graph Dependency
DescriptionAt the moment the Graph Dependency open a window and show the current state of the model.
This feature request is asking the possibility to refresh the Graph Dependency.
Steps To ReproduceModel something
Launch the graph dependency.
Change something in the model.
The graph is not update. The Refresh button don't allow user to refresh it.
Relaunch the Graph dependency tool to see the change.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master f99fd100

2015-06-14 11:46:18

Eivind Kvedalen


Committer: wmayer Details Diff
Added zoom and automatic refresh of dependency graph view. Affected Issues
0002058
mod - src/App/Document.cpp Diff File
mod - src/App/Document.h Diff File
mod - src/Gui/CMakeLists.txt Diff File
mod - src/Gui/CommandDoc.cpp Diff File
add - src/Gui/GraphicsViewZoom.cpp Diff File
add - src/Gui/GraphicsViewZoom.h Diff File
mod - src/Gui/GraphvizView.cpp Diff File
mod - src/Gui/GraphvizView.h Diff File
mod - src/Gui/Qt4All.h Diff File

Issue History

Date Modified Username Field Change
2015-04-17 22:40 rockn New Issue
2015-06-15 11:10 wmayer Changeset attached => FreeCAD Master master f99fd100
2015-06-15 11:10 wmayer Status new => closed
2015-06-15 11:10 wmayer Resolution open => fixed
2015-06-15 11:10 wmayer Fixed in Version => 0.16